# Generated by Django 3.2 on 2023-10-24 23:35

from django.db import migrations, models
import django.db.models.deletion
import rizq_sanjaya_app.models.profile


class Migration(migrations.Migration):

    dependencies = [
        ('rizq_sanjaya_app', '0037_auto_20231023_1413'),
    ]

    operations = [
        migrations.CreateModel(
            name='dataPendidikan',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tahun', models.CharField(default='2022', max_length=500)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('kodependidikan', models.TextField(null=True)),
                ('kampung', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datakampung')),
                ('penanggungjawab', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapenanggungjawab')),
            ],
        ),
        migrations.CreateModel(
            name='dataPendidikanSMP',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('kodependidikan', models.TextField(null=True)),
                ('namasekolah', models.TextField(null=True)),
                ('jml_ruang_belajar', models.IntegerField(null=True)),
                ('jml_perpustakaan', models.IntegerField(null=True)),
                ('jml_lab', models.IntegerField(null=True)),
                ('jml_kantor', models.IntegerField(null=True)),
                ('jml_wc', models.IntegerField(null=True)),
                ('jml_papan_tulis', models.IntegerField(null=True)),
                ('jml_pc', models.IntegerField(null=True)),
                ('kebutuhan_guru', models.TextField(null=True)),
                ('kekurangan_guru', models.TextField(null=True)),
                ('jml_guru', models.IntegerField(null=True)),
                ('jml_guru_oap', models.IntegerField(null=True)),
                ('jml_guru_non_oap', models.IntegerField(null=True)),
                ('jml_murid', models.IntegerField(null=True)),
                ('jml_murid_kelas_VII', models.IntegerField(null=True)),
                ('jml_murid_kelas_VIII', models.IntegerField(null=True)),
                ('jml_murid_kelas_IX', models.IntegerField(null=True)),
                ('jml_meja_kursi', models.IntegerField(null=True)),
                ('jml_meja_kursi_VII', models.IntegerField(null=True)),
                ('jml_meja_kursi_VIII', models.IntegerField(null=True)),
                ('jml_meja_kursi_IX', models.IntegerField(null=True)),
                ('jml_buku_paket', models.IntegerField(null=True)),
                ('jml_buku_paket_VII', models.IntegerField(null=True)),
                ('jml_buku_paket_VIII', models.IntegerField(null=True)),
                ('jml_buku_paket_IX', models.IntegerField(null=True)),
                ('buku_paket_kurang_matapelajaran', models.IntegerField(null=True)),
                ('foto_smp', models.ImageField(null=True, upload_to='profile/images/pendidikan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('pendidikan', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapendidikan')),
            ],
        ),
        migrations.CreateModel(
            name='dataPendidikanSMA',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('kodependidikan', models.TextField(null=True)),
                ('namasekolah', models.TextField(null=True)),
                ('jml_ruang_belajar', models.IntegerField(null=True)),
                ('jml_perpustakaan', models.IntegerField(null=True)),
                ('jml_lab', models.IntegerField(null=True)),
                ('jml_kantor', models.IntegerField(null=True)),
                ('jml_wc', models.IntegerField(null=True)),
                ('jml_papan_tulis', models.IntegerField(null=True)),
                ('jml_pc', models.IntegerField(null=True)),
                ('kebutuhan_guru', models.TextField(null=True)),
                ('kekurangan_guru', models.TextField(null=True)),
                ('jml_guru', models.IntegerField(null=True)),
                ('jml_guru_oap', models.IntegerField(null=True)),
                ('jml_guru_non_oap', models.IntegerField(null=True)),
                ('jml_murid', models.IntegerField(null=True)),
                ('jml_murid_kelas_X', models.IntegerField(null=True)),
                ('jml_murid_kelas_XI', models.IntegerField(null=True)),
                ('jml_murid_kelas_XII', models.IntegerField(null=True)),
                ('jml_meja_kursi', models.IntegerField(null=True)),
                ('jml_buku_paket', models.IntegerField(null=True)),
                ('jml_buku_paket_X', models.IntegerField(null=True)),
                ('jml_buku_paket_XI', models.IntegerField(null=True)),
                ('jml_buku_paket_XII', models.IntegerField(null=True)),
                ('buku_paket_kurang_matapelajaran', models.IntegerField(null=True)),
                ('foto_sma', models.ImageField(null=True, upload_to='profile/images/pendidikan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('pendidikan', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapendidikan')),
            ],
        ),
        migrations.CreateModel(
            name='dataPendidikanSD',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('kodependidikan', models.TextField(null=True)),
                ('namasekolah', models.TextField(null=True)),
                ('jml_ruang_belajar', models.IntegerField(null=True)),
                ('jml_perpustakaan', models.IntegerField(null=True)),
                ('jml_kantor', models.IntegerField(null=True)),
                ('jml_wc', models.IntegerField(null=True)),
                ('jml_papan_tulis', models.IntegerField(null=True)),
                ('jml_pc', models.IntegerField(null=True)),
                ('jml_guru', models.IntegerField(null=True)),
                ('jml_guru_oap', models.IntegerField(null=True)),
                ('jml_guru_non_oap', models.IntegerField(null=True)),
                ('jml_murid', models.IntegerField(null=True)),
                ('jml_murid_kelas_I', models.IntegerField(null=True)),
                ('jml_murid_kelas_II', models.IntegerField(null=True)),
                ('jml_murid_kelas_III', models.IntegerField(null=True)),
                ('jml_murid_kelas_IV', models.IntegerField(null=True)),
                ('jml_murid_kelas_V', models.IntegerField(null=True)),
                ('jml_murid_kelas_VI', models.IntegerField(null=True)),
                ('jml_meja_kursi', models.IntegerField(null=True)),
                ('jml_meja_kursi_I', models.IntegerField(null=True)),
                ('jml_meja_kursi_II', models.IntegerField(null=True)),
                ('jml_meja_kursi_III', models.IntegerField(null=True)),
                ('jml_meja_kursi_IV', models.IntegerField(null=True)),
                ('jml_meja_kursi_V', models.IntegerField(null=True)),
                ('jml_meja_kursi_VI', models.IntegerField(null=True)),
                ('jml_buku_paket', models.IntegerField(null=True)),
                ('jml_buku_paket_I', models.IntegerField(null=True)),
                ('jml_buku_paket_II', models.IntegerField(null=True)),
                ('jml_buku_paket_III', models.IntegerField(null=True)),
                ('jml_buku_paket_IV', models.IntegerField(null=True)),
                ('jml_buku_paket_V', models.IntegerField(null=True)),
                ('jml_buku_paket_VI', models.IntegerField(null=True)),
                ('foto_sd', models.ImageField(null=True, upload_to='profile/images/pendidikan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('pendidikan', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapendidikan')),
            ],
        ),
        migrations.CreateModel(
            name='dataPendidikanPaud',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('status', models.CharField(default='Aktif', max_length=500)),
                ('kodependidikan', models.TextField(null=True)),
                ('namasekolah', models.TextField(null=True)),
                ('jml_ruang_belajar', models.IntegerField(null=True)),
                ('jml_murid', models.IntegerField(null=True)),
                ('jml_guru', models.IntegerField(null=True)),
                ('jml_guru_oap', models.IntegerField(null=True)),
                ('jml_guru_nonoap', models.IntegerField(null=True)),
                ('jml_meja_kursi', models.IntegerField(null=True)),
                ('foto_paud', models.ImageField(null=True, upload_to='profile/images/pendidikan', validators=[rizq_sanjaya_app.models.profile.validate_file_gambar, rizq_sanjaya_app.models.profile.validate_file_size_gambar])),
                ('pendidikan', models.ForeignKey(on_delete=django.db.models.deletion.RESTRICT, to='rizq_sanjaya_app.datapendidikan')),
            ],
        ),
    ]
